/*
 * Home Health Grouper
 * Developer for the Center for Medicare and Medicaid Services CMS
 * by 3M Health Information Systems  for CMS Home Health.
 *
 * All code is provided as is.
 */

package com.mmm.cms.homehealth.beans;

import java.text.ParseException;
import java.text.SimpleDateFormat;

/**
 * This is the basic bean the provides valid values and ranges for dates
 *
 * @author 3M Health Information Systems  for CMS Home Health
 *
 */
public class BaseHomeHealthDateBean extends BaseHomeHealthBean {

    protected SimpleDateFormat dateFormatter;

    /**
     * Creates a bean with a title/description and valid values, with an 
     * optional set of labels for the values
     * 
     * @param title
     * @param values
     * @param labels 
     */
    public BaseHomeHealthDateBean(String fieldName, String title, String[] values, String[] labels) {
        super(fieldName, title, values, labels);

        dateFormatter = new SimpleDateFormat(getValidValue(0));
    }

    public BaseHomeHealthDateBean(String fieldName, String[] values) {
        super(fieldName, values);

        dateFormatter = new SimpleDateFormat(getValidValue(0));
    }
    
    public BaseHomeHealthDateBean() {
        super("Date", "Date", new String[] {"yyyyMMdd"}, null );
        dateFormatter = new SimpleDateFormat(getValidValue(0));
    }

    @Override
    public boolean isValidValue(String actualValue) {
		boolean valid;
        try {
            valid = dateFormatter.parse(actualValue) != null;
        } catch (ParseException e) {
			valid = false;
        }
		return valid;
    }
}
