/*
 * Home Health Grouper
 * Developer for the Center for Medicare and Medicaid Services CMS
 * by 3M Health Information Systems  for CMS Home Health.
 *
 * All code is provided as is.
 */

package com.mmm.cms.homehealth.beans;

/**
 * From field named NUM_STAS_ULCR
 *
 * No. Stasis Ulcers
 * valid values: 00 thru 04, sp(2) - OASIS-B
 *              01, 02, 03, 04, sp(2) - OASIS-C
 *
 * @author 3M Health Information Systems  for CMS Home Health
 *
 */
public class NumberStasisUlcersBean extends BaseHomeHealthBean {

    /**
     * creates the bean using the OASIS-C values
     */
	public NumberStasisUlcersBean() {
		this(false);
	}

    /**
     * create the bean with a specific value version
     * @param useOasisB - if true, the creates the bean using the OASIS-B values
     * otherwise is uses OASIS-C values
     */
    public NumberStasisUlcersBean(boolean useOasisB) {
   		super("No. Stasis Ulcers", useOasisB ? new String[] {"  ", "00", "01", "02", "03", "04"} : new String[] {"  ", "01", "02", "03", "04"});
    }

}

