/*
 * Home Health Grouper
 * Developer for the Center for Medicare and Medicaid Services CMS
 * by 3M Health Information Systems  for CMS Home Health.
 *
 * All code is provided as is.
 */

package com.mmm.cms.homehealth.beans;

/**
 * From field named PRSR_ULCR_WDTH
 *
 * Width At Right Angles Of Stage III Or IV Pu With Largest Area
 * valid values: sp(4), 00.0 - 99.9
 *
 * @author 3M Health Information Systems  for CMS Home Health
 *
 */
public class PressureUlcerWidthBean extends BaseHomeHealthBean {

    public PressureUlcerWidthBean() {
        super("Width At Right Angles Of Stage III Or IV Pu With Largest Area", null);

        String values[] = new String[1001];
        int idx;
        for (idx = 999; idx >= 100; idx--) {
            values[idx + 1] = Integer.toString(idx / 10) + "." + Integer.toString(idx % 10);
        }
        for (; idx >= 0; idx--) {
            values[idx + 1] = "0" + Integer.toString(idx / 10) + "." + Integer.toString(idx % 10);
        }
        values[0] = "    ";
        setValidValues(values);
    }

}
