/*
 * Home Health Grouper
 * Developer for the Center for Medicare and Medicaid Services CMS
 * by 3M Health Information Systems  for CMS Home Health.
 *
 * All code is provided as is.
 */

package com.mmm.cms.homehealth.beans;

/**
 * From field named STAS_ULCR_PRSNT
 *
 * Has Stasis Ulcer
 * valid values: 0, 1, sp(1) - OASIS-B
 *               00, 01, 02, 03 - OASIS-C
 *
 * @author 3M Health Information Systems  for CMS Home Health
 *
 */
public class StasisUlcerBean extends BaseHomeHealthBean {

    /**
     * creates the bean using the OASIS-C values
     */
	public StasisUlcerBean() {
		this(false);
	}

    /**
     * if useOasisB = true, then use the OASIS-B values, otherwise, use OASIS-C
     */
	public StasisUlcerBean(boolean useOasisB) {
		super("Has Statis Ulcer", useOasisB ? new String[] {"0","1"," "} : new String[] {"00", "01", "02", "03"});
	}

}

