/*
 * Home Health Grouper
 * Developer for the Center for Medicare and Medicaid Services CMS
 * by 3M Health Information Systems  for CMS Home Health.
 *
 * All code is provided as is.
 */
package com.mmm.cms.homehealth.vut;

import com.gdit.cms.hh.vut.OasisDataItemIF;

/**
 * This provides a read only name of an OASIS-C1 data item and its
 * read only value 
 * 
 * @author 3M Health Information Systems  for CMS Home Health
 */
public class HHOasisDataItem implements OasisDataItemIF {
    
    private String key;
    private String value;

    public HHOasisDataItem(String key, String value) {
        this.key = key;
        this.value = value;
    }
    
    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getValue() {
        return value;
    }

    public void setKey(String key) {
    }

    @Override
    public String setValue(String value) {
        return value;
    }

	@Override
	public String toString() {
		return "HHOasisDataItem{" + "key=" + key + ", value=" + value + '}';
	}
    
}
